> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Skills

> Fetch all skills for a specific org.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/skills
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/skills:
    get:
      tags:
        - Orgs Skills
      summary: Get Skills
      description: Fetch all skills for a specific org.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: string
            maxLength: 256
            description: Search skills by name.
          required: false
          description: Search skills by name.
          name: search
          in: query
        - schema:
            type: number
          required: false
          description: Page number
          name: page
          in: query
        - schema:
            type: number
          required: false
          description: Number of items to take
          name: take
          in: query
        - schema:
            type: string
          required: false
          description: Next page token (Only used on special endpoints)
          name: next
          in: query
      responses:
        '200':
          description: An array of skills.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SkillSchema'
components:
  schemas:
    SkillSchema:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
          description: The name of the skill
        instructions:
          type: string
          description: The instruction pack the AI follows when the skill is on
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - name
        - instructions
        - created_at
        - updated_at
      description: Schema for a skill
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````